--- gnus-agent.el	1999/07/06 22:03:02	1.1
+++ gnus-agent.el	1999/07/06 22:32:26
@@ -1364,13 +1364,14 @@
 	history overview file histories elem art nov-file low info
 	unreads marked article orig lowest highest)
     (save-excursion
-      (with-temp-buffer
-	(insert-file-contents file)
-	(gnus-active-to-gnus-format
-	 nil (setq orig (gnus-make-hashtable
-			 (count-lines (point-min) (point-max))))))
       (setq overview (gnus-get-buffer-create " *expire overview*"))
       (while (setq gnus-command-method (pop methods))
+	(with-temp-buffer
+	  (insert-file-contents (gnus-agent-lib-file "active"))
+	  (gnus-active-to-gnus-format 
+	   gnus-command-method
+	   (setq orig (gnus-make-hashtable
+		       (count-lines (point-min) (point-max))))))
 	(let ((expiry-hashtb (gnus-make-hashtable 1023)))
 	(gnus-agent-open-history)
 	(set-buffer

--- gnus-util.el	1999/07/06 22:35:45	1.1
+++ gnus-util.el	1999/07/06 22:36:16
@@ -944,7 +944,8 @@
 		  (boundp sym)
 		  (symbol-value sym))
 	 (insert (format "%s %d %d y\n"
-			 (symbol-name sym) (cdr (symbol-value sym))
+			 (gnus-group-real-name (symbol-name sym)) 
+			 (cdr (symbol-value sym))
 			 (car (symbol-value sym))))))
      hashtb)))
 
